{% extends "../base.html" %}
{% block header %}
Reservas - Visualizar Equipamento
{% endblock header %}
{% block content %}
<div class="content-detail">
    <table class="detail-table">
      <tr class="table-row">
          <th class="table-header">Número de Série:</th>
          <td class="table-data">{{object.serial_number}}</td>
      </tr>
      <tr class="table-row">
        <th class="table-header">Nome:</th>
        <td class="table-data">{{object.name}}</td>
      </tr>
      <tr class="table-row">
        <th class="table-header">Marca:</th>
        <td class="table-data">{{object.brand}}</td>
      </tr>
      <tr class="table-row">
        <th class="table-header">Eventos:</th>
        {% for name, date, time in Events %}
        <td class="table-data">{{ name }} no dia {{ date }} às {{ time }}</td>
        {% endfor %}
      </tr>
    </table>
    <div class="flex-row">
      <a href="{% url 'equipment-update' pk=equipment.id %}" style="display: inline;">
          <button class="delete-button">
              <span class="glyphicon glyphicon-trash">Atualizar</span>
          </button>
      </a>
      <form action="{% url 'equipment-delete' pk=equipment.id %}" method="post" style="display: inline;">
          {% csrf_token %}
          <input type="hidden" name="equipment_id" value="{{ equipment.id }}"/>
          <button type="submit" class="delete-button">
              <span class="glyphicon glyphicon-trash">Delete</span>
          </button>
      </form>
    </div>
</div>
{% endblock content %}
